org.apache.mina.service.executor

## Class OpenEvent

- java.lang.Object
- - org.apache.mina.service.executor.OpenEvent

All Implemented Interfaces:
  Event

    public class OpenEvent
    extends Object
    implements Event

An `IoSession` open `Event`

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`OpenEvent(IoSession session)`

### Method Summary

Methods
`IoSession` `getSession()` The session of this event.
`void` `visit(EventVisitor visitor)` Call the visitor method for this kind of event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenEvent

    public OpenEvent(IoSession session)

### Method Detail

#### getSession

    public IoSession getSession()

The session of this event.

Specified by:
  `getSession` in interface `Event`
Returns:
  the session (cannot be null)

#### visit

    public void visit(EventVisitor visitor)

Description copied from interface: `Event`
Call the visitor method for this kind of event.

Specified by:
  `visit` in interface `Event`
Parameters:
  `visitor` - the vistor to call